com.independentsoft.exchange

## Class SerializableTimeZone

- java.lang.Object
- - com.independentsoft.exchange.SerializableTimeZone

-     public class SerializableTimeZone
      extends java.lang.Object

  Identifies time zone information and the transition between standard time and daylight saving time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableTimeZone()` Initializes a new instance of the SerializableTimeZone class.
    `SerializableTimeZone(int offset, SerializableTimeZoneTime standardTime, SerializableTimeZoneTime daylightTime)` Initializes a new instance of the SerializableTimeZone class.
    `SerializableTimeZone(StandardTimeZone standardTimeZone)` Initializes a new instance of the SerializableTimeZone class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializableTimeZoneTime` | `getDaylightTime()` Gets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
    `int` | `getOffset()` Gets a value that represents the general offset from Coordinated Universal Time (UTC).
    `SerializableTimeZoneTime` | `getStandardTime()` Gets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
    `void` | `setDaylightTime(SerializableTimeZoneTime daylightTime)` Sets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
    `void` | `setOffset(int offset)` Sets a value that represents the general offset from Coordinated Universal Time (UTC).
    `void` | `setStandardTime(SerializableTimeZoneTime standardTime)` Sets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableTimeZone

          public SerializableTimeZone()

      Initializes a new instance of the SerializableTimeZone class.

    - #### SerializableTimeZone

          public SerializableTimeZone(StandardTimeZone standardTimeZone)

      Initializes a new instance of the SerializableTimeZone class.
      Parameters:
        `standardTimeZone` - the standard time zone

    - #### SerializableTimeZone

          public SerializableTimeZone(int offset,
                                      SerializableTimeZoneTime standardTime,
                                      SerializableTimeZoneTime daylightTime)

      Initializes a new instance of the SerializableTimeZone class.
      Parameters:
        `offset` - the offset
        `standardTime` - the standard time
        `daylightTime` - the daylight time

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets a value that represents the general offset from Coordinated Universal Time (UTC).
      Returns:
        the offset

    - #### setOffset

          public void setOffset(int offset)

      Sets a value that represents the general offset from Coordinated Universal Time (UTC).
      Parameters:
        `offset` - the new offset

    - #### getStandardTime

          public SerializableTimeZoneTime getStandardTime()

      Gets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
      Returns:
        the standard time

    - #### setStandardTime

          public void setStandardTime(SerializableTimeZoneTime standardTime)

      Sets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
      Parameters:
        `standardTime` - the new standard time

    - #### getDaylightTime

          public SerializableTimeZoneTime getDaylightTime()

      Gets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
      Returns:
        the daylight time

    - #### setDaylightTime

          public void setDaylightTime(SerializableTimeZoneTime daylightTime)

      Sets a value that represents an offset from the time relative to Coordinated Universal Time (UTC) that is represented by the Bias property.
      Parameters:
        `daylightTime` - the new daylight time